var buzzBookingDate = '';
jQuery(function($) {
	LateBookingsFilter();
});

function LateBookingsFilter() {
	var $form = $('.js-late-booking-filter');

	$form.on('submit', function (e) {
		e.preventDefault();
		$('.js-late-booking-cal').html('').addClass('ajax-loading');
		$.ajax({
			'cache': false,
			'url': $form.attr('action'),
			'type': 'POST',
			'data': $form.serialize()
		}).done(function(data){
			$('.js-late-booking-cal').removeClass('ajax-loading');
			$('.js-late-booking-cal').html(data);
			customFormElements();
			LateBookingsSelectDate();
		});
	});
}

function LateBookingsSelectDate() {
	var $date = $('.js-late-booking-date');
	var $datepicker = $('.datepicker');
	$datepicker.datepicker('setDate', new Date($datepicker.data('default-date')));

	var pageLoad = true;

	$(document).on('change', $date, function() {
		if (buzzBookingDate !== $date.val()) {
			buzzBookingDate = $date.val();
			$('.js-late-booking-deals').html('').addClass('ajax-loading');
			$.ajax({
				'cache': false,
				'url': $date.data('src') + '/' + $date.val()
			}).done(function(data){
				$('.js-late-booking-deals').removeClass('ajax-loading');
				$('.js-late-booking-deals').html(data);
				customFormElements();
			});
		}
	});
	$date.trigger('change');
}
